Skip to main content
GET
Get Job

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

x-account-id
string
required

The account identifier

Prefer
string

Set to "heartbeat" to enable keep-alive newline heartbeats during long-running requests. Response includes Preference-Applied: heartbeat header when honored. (RFC 7240)

Example:

"heartbeat"

Path Parameters

id
string
required

Query Parameters

raw
boolean | null

Indicates that the raw request result should be returned in addition to the mapped result (default value is false)

proxy
object | null

Query parameters that can be used to pass through parameters to the underlying provider request by surrounding them with 'proxy' key

fields
string | null

The comma separated list of fields that will be returned in the response (if empty, all fields are returned)

Example:

"id,remote_id,code,title,description,status,job_status,department_ids,remote_department_ids,location_ids,remote_location_ids,hiring_team,interview_stages,confidential,custom_fields,created_at,updated_at,unified_custom_fields"

expand
string | null

The comma separated list of fields that will be expanded in the response

Example:

"job_postings,interview_stages"

include
string | null

The comma separated list of fields that will be included in the response

Example:

"custom_fields"

Response

The job with the given identifier was retrieved.

data
object
required
raw
object[] | null